## mozc 0.12.410.102-0maemo1

=== debian/changelog ===
mozc (0.12.410.102-0maemo1) unstable; urgency=low

  * updated to 0.12.410.102.
  * fix file colission between scim-mozc and mozc-server(maybe. not tested. sorry:-P)

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue, 13 Jul 2010 14:55:41 +0900
