## mozc 0.12.422.102-0maemo2

=== debian/changelog ===
mozc (0.12.422.102-0maemo2) unstable; urgency=low

  * changed icons from ones by Ikuya Awashiro to Mozc default. Thanks so much Ikuya-san!!:D

 -- Takahiro Hashimoto <kenya888@gmail.com>  Thu,  5 Aug 2010 14:58:16 +0900

mozc (0.12.422.102-0maemo1) unstable; urgency=low

  * update to 0.12.422.102.

 -- Takahiro Hashimoto <kenya888@gmail.com>  Sun,  1 Aug 2010 00:32:24 +0900

mozc (0.12.410.102-0maemo2) unstable; urgency=low

  * rebuild with latest protobuf

 -- Takahiro Hashimoto <kenya888@gmail.com>  Sun, 25 Jul 2010 03:05:04 +0900
