=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utilities
 Priority: optional
 Maintainer: Takahiro Hashimoto <kenya888@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, dpkg-dev, dpatch, pkg-config, python2.5, ibus, ibus-dev, libcurl4-openssl-dev, libssl-dev, zlib1g-dev, gtest, gtest-dev, libglib2.0-dev, libprotobuf-dev, protobuf-compiler, libqt4-dev, gyp, libdbus-1-dev, scim, libscim-dev
+Build-Depends: debhelper (>= 5), autotools-dev, dpkg-dev, dpatch, pkg-config, python2.5, ibus, ibus-dev, libcurl4-openssl-dev, libssl-dev, zlib1g-dev, gtest, gtest-dev, libglib2.0-dev, libprotobuf-dev (>=2.3), protobuf-compiler(>=2.3), libqt4-dev, gyp, libdbus-1-dev, scim, libscim-dev
 Standards-Version: 3.7.2
 
 Package: ibus-mozc
@@ -115,7 +115,7 @@
 Package: mozc-server
 Architecture: any
 Section: user/utilities
-Depends: ${shlibs:Depends}, libprotobuf3
+Depends: ${shlibs:Depends}, libprotobuf3 (>=2.3)
 Description: Server part of the Mozc input method, used by Mozc clients such as ibus-mozc.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAALGP
@@ -198,4 +198,3 @@
  wcftCThtHJ1X5WI0Ss9z/Aqz2zg8Uh9CTb6MKq80gdbboxnct20ACdPaQL4H
  D0AS6JS+eOYNiaP8mXkSLpjuxo1LfGPN+Ngk4RiGGk5buHdrP+7f1g89w1Du
  sUEVONYaSVMqbUIVOVbqsaG2QKFFATvmFypsuleiXEWAxRgGkiYO9mvIU3nM
- 9isTcjaeZvjGxjZmMdALF5dhdKoBAHiobgC3fNDT5bWLXxP62+JQi9TTSlxi
