## mozc 0.12.434.102-0maemo1

=== debian/changelog ===
mozc (0.12.434.102-0maemo1) unstable; urgency=low

  * updated to 0.12.434.102
  * update postal code dictionary to latest one as of 30/07/2010.

 -- Takahiro Hashimoto <kenya888@gmail.com>  Fri, 13 Aug 2010 20:56:39 +0900
