=== debian/rules ===
--- 
+++ 
@@ -22,11 +22,11 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 ifeq ($(DEB_BUILD_GNU_TYPE),arm-linux-gnueabi)
-	export CFLAGS="-g -O2 -I/opt/maemocjk/usr/include/scim-1.0"
-	export CXXFLAGS="-g -O2 -I/opt/maemocjk/usr/include/scim-1.0"
+	export CFLAGS="-g -O2 -I/opt/maemocjk/usr/include/scim-1.0 -L/usr/lib -lprotobuf"
+	export CXXFLAGS="-g -O2 -I/opt/maemocjk/usr/include/scim-1.0 -L/usr/lib -lprotobuf"
 else
-	export CFLAGS="-march=i486 -g -O2 -I/opt/maemocjk/usr/include/scim-1.0"
-	export CXXFLAGS="-march=i486 -g -O2 -I/opt/maemocjk/usr/include/scim-1.0"
+	export CFLAGS="-march=i486 -g -O2 -I/opt/maemocjk/usr/include/scim-1.0 -L/usr/lib -lprotobuf"
+	export CXXFLAGS="-march=i486 -g -O2 -I/opt/maemocjk/usr/include/scim-1.0 -L/usr/lib -lprotobuf"
 endif
 
 #export MAEMOCJK_PREFIX=/opt/maemocjk2
@@ -58,7 +58,7 @@
 	CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py gyp --gypdir=/usr/bin
 	CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py build_tools -c Release -j 2 --qtdir=/usr/lib
 	#CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py build $(TARGETS) -c Release -j 2 --qtdir=/usr/lib
-	CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py build $(TARGETS1) -c Release -j 2 --qtdir=/usr/lib
+	PKG_CONFIG_PATH=/usr/lib/pkgconfig CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py build $(TARGETS1) -c Release -j 2 --qtdir=/usr/lib
 	PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py build $(TARGETS2) -c Release -j 2 --qtdir=/usr/lib
 
 	#python build_mozc.py gyp --gypdir=/usr/bin
@@ -117,8 +117,18 @@
 #	sed 's|/usr/lib/ibus-mozc/ibus-engine-mozc|/usr/libexec/ibus-engine-mozc|' < unix/ibus/mozc.xml > $(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/mozc.xml
 	cp -a $(BUILD_DIR)/Release/obj/gen/unix/ibus/mozc.xml $(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/mozc.xml
 	mkdir -p $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc
-	cp -a $(CURDIR)/debian/mozc.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/product_icon.png
-	cp -a $(CURDIR)/debian/mozc_tool.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/unknown.ico
+	#cp -a $(CURDIR)/debian/mozc.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/product_icon.png
+	#cp -a $(CURDIR)/debian/mozc_tool.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/unknown.ico
+
+	cp -a  $(CURDIR)/data/images/unix/ime_product_icon_opensource-32.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/product_icon.png
+	cp -a  $(CURDIR)/data/images/unix/ui-tool.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/tool.png
+	cp -a  $(CURDIR)/data/images/unix/ui-hiragana.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/hiragana.png
+	cp -a  $(CURDIR)/data/images/unix/ui-alpha_full.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/alpha_full.png
+	cp -a  $(CURDIR)/data/images/unix/ui-katakana_half.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/katakana_half.png
+	cp -a  $(CURDIR)/data/images/unix/ui-properties.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/properties.png
+	cp -a  $(CURDIR)/data/images/unix/ui-direct.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/direct.png
+	cp -a  $(CURDIR)/data/images/unix/ui-dictionary.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/dictionary.png
+	cp -a  $(CURDIR)/data/images/unix/ui-katakana_full.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/katakana_full.png
 
 	## mozc-server
 
@@ -136,23 +146,3 @@
 	cp -a $(CURDIR)/debian/mozc_tool.desktop $(CURDIR)/debian/mozc-utils-gui/usr/share/applications/hildon
 
 	mkdir -p $(CURDIR)/debian/mozc-utils-gui/usr/share/icons/hicolor
-	cp -ra $(CURDIR)/debian/icons/* $(CURDIR)/debian/mozc-utils-gui/usr/share/icons/hicolor/
-
-	### scim-mozc
-
-	mkdir -p $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/share/scim/icons
-	mkdir -p $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/lib/scim-1.0/1.4.0/IMEngine
-	mkdir -p $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/lib/scim-1.0/1.4.0/SetupUI
-
-	cp -a $(CURDIR)/debian/scim-mozc-property.png $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/share/scim/icons/
-	cp -a $(CURDIR)/debian/scim-mozc-dictionary.png $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/share/scim/icons/
-
-	cp -a $(BUILD_DIR)/Release/lib.target/libscim_mozc.so $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/lib/scim-1.0/1.4.0/IMEngine/mozc.so
-	cp -a $(BUILD_DIR)/Release/lib.target/libscim_mozc_setup.so $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/lib/scim-1.0/1.4.0/SetupUI/mozc-setup.so
-
-	mkdir -p  $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/share/scim/icons
-	cp -a $(CURDIR)/debian/mozc.png $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/share/scim/icons/scim-mozc.png
-	cp -a $(CURDIR)/debian/mozc_tool.png $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/share/scim/icons/scim-mozc-tool.png
-
-#	dh_install --sourcedir=$(CURDIR)/debian/tmp -s
-
