## mozc 0.13.499.102-0maemo2

=== debian/changelog ===
mozc (0.13.499.102-0maemo2) unstable; urgency=low

  * just version updated for uploading extras-devel non-free

 -- Takahiro Hashimoto <kenya888@gmail.com>  Wed, 13 Oct 2010 20:42:56 +0900

mozc (0.13.499.102-0maemo1) unstable; urgency=low

  * updated to 0.13.499.102.
  * updated zip code dictionary to latest one as of 30/09/2010.

 -- Takahiro Hashimoto <kenya888@gmail.com>  Wed, 13 Oct 2010 01:54:10 +0900

mozc (0.13.492.102-0maemo1) unstable; urgency=low

  * updated to 0.13.492.102.
  * add package of emacs-mozc, emacs-mozc-bin

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue, 12 Oct 2010 18:02:52 +0900

mozc (0.13.481.102-0maemo1) unstable; urgency=low

  * updated to 0.13.481.102.

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue, 12 Oct 2010 17:27:46 +0900

mozc (0.13.464.102-0maemo2) unstable; urgency=low

  * update postal code dictionary to latest one as of 31/08/2010

 -- Takahiro Hashimoto <kenya888@gmail.com>  Fri, 10 Sep 2010 18:33:23 +0900

mozc (0.13.464.102-0maemo1) unstable; urgency=low

  * updated to 013.464.102.

 -- Takahiro Hashimoto <kenya888@gmail.com>  Fri, 10 Sep 2010 15:01:42 +0900
