=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,8 @@
 BUILD_DIR=./out_linux
 #TARGETS=unix/ibus/ibus.gyp:ibus_mozc server/server.gyp:mozc_server gui/gui.gyp:mozc_tool
 #TARGETS=unix/ibus/ibus.gyp:ibus_mozc unix/scim/scim.gyp:scim_mozc unix/scim/scim.gyp:scim_mozc_setup server/server.gyp:mozc_server gui/gui.gyp:mozc_tool
-TARGETS1=unix/ibus/ibus.gyp:ibus_mozc server/server.gyp:mozc_server gui/gui.gyp:mozc_tool
+#TARGETS1=unix/ibus/ibus.gyp:ibus_mozc server/server.gyp:mozc_server gui/gui.gyp:mozc_tool
+TARGETS1=unix/ibus/ibus.gyp:ibus_mozc server/server.gyp:mozc_server gui/gui.gyp:mozc_tool unix/emacs/emacs.gyp:mozc_emacs_helper
 TARGETS2=unix/scim/scim.gyp:scim_mozc unix/scim/scim.gyp:scim_mozc_setup
 
 configure: configure-stamp
@@ -47,7 +48,11 @@
 	touch configure-stamp
 
 #Architecture 
-build: build-arch
+build: build-arch build-indep
+
+build-indep: build-indep-stamp
+build-indep-stamp: configure-stamp
+	touch $@
 
 build-arch: build-arch-stamp
 build-arch-stamp: configure-stamp 
@@ -79,6 +84,8 @@
 	dh_clean 
 
 install: install-arch
+
+install-indep:
 
 install-arch:
 	dh_testdir
@@ -143,6 +150,3 @@
 	chmod 755 $(CURDIR)/debian/mozc-utils-gui/usr/lib/mozc/mozc_tool
 
 	mkdir -p $(CURDIR)/debian/mozc-utils-gui/usr/share/applications/hildon
-	cp -a $(CURDIR)/debian/mozc_tool.desktop $(CURDIR)/debian/mozc-utils-gui/usr/share/applications/hildon
-
-	mkdir -p $(CURDIR)/debian/mozc-utils-gui/usr/share/icons/hicolor
