## mozc 0.13.523.102-0maemo1

=== debian/changelog ===
mozc (0.13.523.102-0maemo1) unstable; urgency=low

  * updated to 0.13.523.102
  * updated zip code dictionary to latest one as of 29/10/2010

 -- Takahiro Hashimoto <kenya888@gmail.com>  Sat,  6 Nov 2010 07:16:30 +0900
