=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: utilities
 Priority: optional
 Maintainer: Takahiro Hashimoto <kenya888@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, dpkg-dev, dpatch, pkg-config, python2.5, ibus, ibus-dev, libcurl4-openssl-dev, libssl-dev, zlib1g-dev, gtest, gtest-dev, libglib2.0-dev, libprotobuf-dev (>=2.3), protobuf-compiler(>=2.3), libqt4-dev, gyp, libdbus-1-dev, scim, libscim-dev
+Build-Depends: debhelper (>= 5), autotools-dev, dpkg-dev, dpatch, pkg-config, python2.5, ibus, ibus-dev, libcurl4-openssl-dev, libssl-dev, zlib1g-dev, gtest, gtest-dev, libglib2.0-dev, libprotobuf-dev (>=2.3), protobuf-compiler(>=2.3), libqt4-dev, gyp, libdbus-1-dev, scim, libscim-dev, maemo-optify
 Standards-Version: 3.7.2
 
 Package: ibus-mozc
 Section: user/utilities
 Recommends: ibus-qt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ibus, mozc-server (= ${Source-Version}), mozc-utils-gui (= ${Source-Version})
+Depends: ${shlibs:Depends}, ibus, mozc-server (= ${Source-Version}), mozc-utils-gui (= ${Source-Version})
 Description: IBus engine module for Mozc.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
