## mozc 1.0.558.102

=== debian/changelog ===
mozc (1.0.558.102-1) unstable; urgency=low

  * New upstream release (r51).
  * Update debian/control.
    - Move ibus-qt4 from Depends to Suggents in mozc-utils-gui.
  * Update and add some patches.
    - Update patch of support kfreebsd.
    - Drop r47-r48.patch, emacs_mozc_isuue48.patch and
	  mozc-el-not-suggest-in-minibuffer-fixed.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 22 Dec 2010 12:39:20 +0900

mozc (0.13.499.102-1) unstable; urgency=low

  * New upstream release (r48).
  * Update debian/control.
    - Add support emacs.
      New package emacs-mozc and emacs-mozc-bin.
    - Move mozc-utils-gui from Depends to Recommends.
    - Add ibus-qt4 to Depends of mozc-utils-gui (Closes: #590584).
  * Update debian/rules.
    - Add target of emacs-mozc.
    - Clean up for install function.
  * Add debian/emacsen-*.
  * Update and add some patches.
    - Update patch of uim-mozc (r204).
    - Update patch of support kfreebsd.
    - Add patch of mozc r48.
    - Add patch of iuuse 48, 50, 51 from mozc BTS.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 16 Oct 2010 02:24:31 +0900

mozc (0.12.434.102-2) unstable; urgency=low

  * Update debian/control.
    Add XS-Autobuild: yes.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 10 Sep 2010 12:45:17 +0900

mozc (0.12.434.102-1) unstable; urgency=high

  * New upstream release (r38).
    - Move section from main to non-free (Closes: #591731).
    - Update debian/copyright.
    - Remove mozc images.
    - Drop patches/ibus_mozc_issue18.patch.
  * Update debian/control.
    - Change section from utils to non-free/utils.
    - Bumped standards-version to 3.9.1.
    - Fix package description (Closes: #590523).
    - Fix depends of uim-mozc (Closes: #591442).
    - Add support architecture.
      Support i386, amd64, k-i and k-a only.
  * Update debian/rules.
    - Update install path of mozc icon and image data.
    - Add target of kfreebsd.
  * Update kfreebsd support patch.
  * Add README.debian.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 20 Aug 2010 4:25:12 +0900
