=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#

DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
ifeq ($(DEB_BUILD_ARCH_OS),linux)
  BUILD_DIR=./out_linux
  BUILD_OS=linux
endif
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
  BUILD_DIR=./out_bsd
  BUILD_OS=gnu-kfreebsd
endif

TARGETS=unix/ibus/ibus.gyp:ibus_mozc \
	unix/scim/scim.gyp:scim_mozc unix/scim/scim.gyp:scim_mozc_setup \
	unix/emacs/emacs.gyp:mozc_emacs_helper \
	unix/uim/uim.gyp:uim-mozc \
	server/server.gyp:mozc_server gui/gui.gyp:mozc_tool

# for architecture dependent variables and changelog vars
vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
CHANGELOG_VARS := $(shell dpkg-parsechangelog | \
	sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')

SOURCE_VERSION := $(call vafilt,$(CHANGELOG_VARS),Version)
SCIM_MODDIR=`pkg-config --variable=moduledir scim`
SCIM_ICONDIR=`pkg-config --variable=icondir scim`

%:
	dh --with quilt $@ 

override_dh_auto_configure:
	python build_mozc.py gyp --gypdir=/usr/bin --os=$(BUILD_OS)

override_dh_auto_build:
	python build_mozc.py build_tools -c Release --jobs=1
	python build_mozc.py build $(TARGETS) -c Release --jobs=1

override_dh_auto_clean:
	python build_mozc.py clean
	rm -rf build_tools/__init__.pyc 
	rm -rf build_tools/mozc_version.pyc
	rm -rf third_party/rx/rx.Makefile

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/
	cp -p data/images/unix/ime_product_icon_opensource-32.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/product_icon.png
	cp -p data/images/unix/ui-tool.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/tool.png
	cp -p data/images/unix/ui-properties.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/properties.png
	cp -p data/images/unix/ui-dictionary.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/dictionary.png
	cp -p data/images/unix/ui-direct.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/direct.png
	cp -p data/images/unix/ui-hiragana.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/hiragana.png
	cp -p data/images/unix/ui-katakana_half.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/katakana_half.png
	cp -p data/images/unix/ui-katakana_full.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/katakana_full.png
	cp -p data/images/unix/ui-alpha_half.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/alpha_half.png
	cp -p data/images/unix/ui-alpha_full.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/alpha_full.png

	mkdir -p $(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/IMEngine/
	cp -p $(BUILD_DIR)/Release/lib.target/libscim_mozc.so \
		$(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/IMEngine/mozc.so
	mkdir -p $(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/SetupUI/
	cp -p $(BUILD_DIR)/Release/lib.target/libscim_mozc_setup.so \
		$(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/SetupUI/mozc-setup.so
	mkdir -p $(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/
	cp -p data/images/unix/ime_product_icon_opensource-32.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc.png
	cp -p data/images/unix/ui-tool.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-tool.png
	cp -p data/images/unix/ui-properties.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)//scim-mozc-properties.png
	cp -p data/images/unix/ui-dictionary.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-dictionary.png
	cp -p data/images/unix/ui-direct.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-direct.png
	cp -p data/images/unix/ui-hiragana.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-hiragana.png
	cp -p data/images/unix/ui-katakana_half.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-katakana_half.png
	cp -p data/images/unix/ui-katakana_full.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-katakana_full.png
	cp -p data/images/unix/ui-alpha_half.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-alpha_half.png
	cp -p data/images/unix/ui-alpha_full.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-alpha_full.png

	mkdir -p $(CURDIR)/debian/mozc-server/usr/lib/mozc
	cp -p $(BUILD_DIR)/Release/mozc_server $(CURDIR)/debian/mozc-server/usr/lib/mozc/

	mkdir -p $(CURDIR)/debian/mozc-utils-gui/usr/lib/mozc
	cp -p $(BUILD_DIR)/Release/mozc_tool $(CURDIR)/debian/mozc-utils-gui/usr/lib/mozc

	# ibus-mozc
	install -D -m 0755  $(BUILD_DIR)/Release/ibus_mozc \
		$(CURDIR)/debian/ibus-mozc/usr/lib/ibus-mozc/ibus-engine-mozc
	install -d $(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/
	sed -e 's|/usr/libexec/ibus-engine-mozc|/usr/lib/ibus-mozc/ibus-engine-mozc|' \
		-e 's|0\.0\.0\.0|$(SOURCE_VERSION)|g' < $(BUILD_DIR)/Release/obj/gen/unix/ibus/mozc.xml > \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/mozc.xml
	install -d $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc
	install -m 0644 data/images/unix/ime_product_icon_opensource-32.png\
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/product_icon.png
	install -m 0644 data/images/unix/ui-tool.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/tool.png
	install -m 0644 data/images/unix/ui-properties.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/properties.png
	install -m 0644 data/images/unix/ui-dictionary.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/dictionary.png
	install -m 0644 data/images/unix/ui-direct.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/direct.png
	install -m 0644 data/images/unix/ui-hiragana.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/hiragana.png
	install -m 0644 data/images/unix/ui-katakana_half.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/katakana_half.png
	install -m 0644 data/images/unix/ui-katakana_full.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/katakana_full.png
	install -m 0644 data/images/unix/ui-alpha_half.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/alpha_half.png
	install -m 0644 data/images/unix/ui-alpha_full.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/alpha_full.png

	# scim-mozc
	install -D -m 0755 $(BUILD_DIR)/Release/lib.target/libscim_mozc.so \
		$(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/IMEngine/mozc.so
	install -D -m 0755 $(BUILD_DIR)/Release/lib.target/libscim_mozc_setup.so \
		$(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/SetupUI/mozc-setup.so
	install -d $(CURDIR)/debian/scim-mozc/$(SCIM_ICONS)/
	install -m 0644 data/images/unix/ime_product_icon_opensource-32.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc.png
	install -m 0644 data/images/unix/ui-tool.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-tool.png
	install -m 0644 data/images/unix/ui-properties.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-properties.png
	install -m 0644 data/images/unix/ui-dictionary.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-dictionary.png
	install -m 0644 data/images/unix/ui-direct.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-direct.png
	install -m 0644 data/images/unix/ui-hiragana.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-hiragana.png
	install -m 0644 data/images/unix/ui-katakana_half.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-katakana_half.png
	install -m 0644 data/images/unix/ui-katakana_full.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-katakana_full.png
	install -m 0644 data/images/unix/ui-alpha_half.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-alpha_half.png
	install -m 0644 data/images/unix/ui-alpha_full.png \
		$(CURDIR)/debian/scim-mozc/$(SCIM_ICONDIR)/scim-mozc-alpha_full.png

	# uim-mozc
	install -D -m 0755  $(BUILD_DIR)/Release/libuim-mozc.so \
		$(CURDIR)/debian/uim-mozc/usr/lib/uim/plugin/libuim-mozc.so
	install -d $(CURDIR)/debian/uim-mozc/usr/share/uim
	# mozc-custom.scm, mozc-key-custom.scm, mozc.scm
	install -m 644 $(CURDIR)/unix/uim/scm/* $(CURDIR)/debian/uim-mozc/usr/share/uim/
	install -D -m 0644 data/images/unix/ime_product_icon_opensource-32.png \
